## org.codehaus.groovy.grails.support
Interface PersistenceContextInterceptor

All Known Implementing Classes:
  HibernatePersistenceContextInterceptor

    public interface PersistenceContextInterceptor

A interface for a class to implement that will setup the persistent context before and after a Grails operation is invoked. @see grails.util.RunTests

Since:
  0.4
Author:
  Graeme Rocher

Method Summary
`void` `clear()` Clear any pending changes
`void` `destroy()` Called to finalize the persistent context
`void` `flush()` Flushes any pending changes to the DB
`void` `init()` Called to intialisation the persistent context

Method Detail

### init

    void init()

  Called to intialisation the persistent context

### destroy

    void destroy()

  Called to finalize the persistent context

### flush

    void flush()

  Flushes any pending changes to the DB

### clear

    void clear()

  Clear any pending changes

Copyright (c) 2005-2009 The Grails project